Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class PortletResponseHandler

    java.lang.Object
      org.jboss.portal.core.controller.portlet.PortletResponseHandler

All Implemented Interfaces:
  ResponseHandler

    public class PortletResponseHandler

extends java.lang.Object
implements ResponseHandler

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`PortletResponseHandler()`

Method Summary
`HandlerResponse` | `processCommandResponse(ControllerContext controllerContext, ControllerCommand controllerCommand, ControllerResponse controllerResponse)` Process the command response and provides an handler response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletResponseHandler

    public PortletResponseHandler()

Method Detail

### processCommandResponse

    public HandlerResponse processCommandResponse(ControllerContext controllerContext,
                                                  ControllerCommand controllerCommand,
                                                  ControllerResponse controllerResponse)
                                           throws ResponseHandlerException

  Description copied from interface: `ResponseHandler`
  Process the command response and provides an handler response.

  Specified by:
    `processCommandResponse` in interface `ResponseHandler`
  Parameters:
    `controllerContext` - the controller context
    `controllerCommand` - the controller command
    `controllerResponse` - the controller response
  Returns:
    the handler response
  Throws:
    `ResponseHandlerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD